SDL_PeepEvents(3)

NAME
SDL_PeepEvents - Check the event queue for messages and optionally return them.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_PeepEvents(SDL_Event *events, int numevents, SDL_EventAction action, Uint32 minType, Uint32 maxType);

DESCRIPTION
action may be any of the following: • SDL_ADDEVENT : up to numevents events will be added to
  the back of the event queue. • SDL_PEEKEVENT : numevents events at the front of the
  event queue, within the specified minimum and maximum type, will be
  returned to the caller and will _not_ be removed from the queue. • SDL_GETEVENT : up to numevents events at the front of
  the event queue, within the specified minimum and maximum type, will be
  returned to the caller and will be removed from the queue. You may have to call SDL_PumpEvents () before calling this function. Otherwise, the events may not be ready to be filtered when you call SDL_PeepEvents (). This function is thread-safe.

FUNCTION PARAMETERS

events
    destination buffer for the retrieved events

numevents
    if action is SDL_ADDEVENT , the number of events to add back to the event queue; if action is SDL_PEEKEVENT
     or SDL_GETEVENT , the maximum number of events to retrieve

action
    action to take; see [[#action|Remarks]] for details

minType
    minimum value of the event type to be considered; SDL_EVENT_FIRST
     is a safe choice

maxType
    maximum value of the event type to be considered; SDL_EVENT_LAST
     is a safe choice

RETURN VALUE
Returns the number of events actually stored or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PollEvent(3), SDL_PumpEvents(3), SDL_PushEvent(3)